
using Newtonsoft.Json;

namespace jdis_import.RESTObjects
{
    [JsonObject(MemberSerialization.OptIn)]
    public class RESTResponse<T>
    {
        #region Fields

        private RESTMeta _meta = null;
        private T _data;

        #endregion

        #region Properties
        [JsonProperty(PropertyName = "meta")]
        public RESTMeta meta
        {
            get
            {
                if (_meta == null)
                {
                    _meta = new RESTMeta();
                }
                return _meta;
            }
            set { _meta = value; }
        }
        [JsonProperty(PropertyName = "data")]
        public T data
        {
            get { return _data; }
            set { _data = value; }
        }

        #endregion
    }
}